
ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.86, 0.025, "- MTZ 82 FL -");			
		
		renderText(0.72, 0.81, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.72, 0.79, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.77, 0.02, "Taste Numpad 3: Blinker rechts");			
		renderText(0.72, 0.75, 0.02, "Taste Numpad 4: Arbeitslicht vorn an / aus");
		renderText(0.72, 0.73, 0.02, "Taste Numpad 5: Dach auf/zu");
		renderText(0.72, 0.71, 0.02, "Taste Numpad 6: Arbeitslicht hinten an / aus ");
		renderText(0.72, 0.69, 0.02, "Taste Numpad 7: Tuer links auf/zu");
		renderText(0.72, 0.67, 0.02, "Taste Numpad 8: Heckfenster auf/zu");
		renderText(0.72, 0.65, 0.02, "Taste Numpad 9: Tuer rechst auf/zu");
		renderText(0.72, 0.63, 0.02, "Taste Numpad 0: Dachluke auf/zu");
		renderText(0.72, 0.61, 0.02, "Taste Numpad /: Seitenscheibe links auf/zu");
		renderText(0.72, 0.59, 0.02, "Taste Numpad *: Seitenscheibe rechts auf/zu");
		
		renderText(0.72, 0.57, 0.02, "by Manituo Fan");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




